Get Wallet Profiles Batch
curl --request GET \
--url https://api.predexon.com/v2/polymarket/wallets/profiles \
--header 'x-api-key: <api-key>'import requests
url = "https://api.predexon.com/v2/polymarket/wallets/profiles"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.predexon.com/v2/polymarket/wallets/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"user": "<string>",
"metrics": {
"one_day": {
"realized_pnl": 123,
"volume": 123,
"roi": 123,
"trades": 123,
"wins": 123,
"losses": 123,
"win_rate": 123,
"profit_factor": 123,
"positions_closed": 123,
"total_pnl": 123,
"avg_buy_price": 123,
"avg_sell_price": 123,
"fees_paid": 0,
"fees_refunded": 0
},
"seven_day": {
"realized_pnl": 123,
"volume": 123,
"roi": 123,
"trades": 123,
"wins": 123,
"losses": 123,
"win_rate": 123,
"profit_factor": 123,
"positions_closed": 123,
"total_pnl": 123,
"avg_buy_price": 123,
"avg_sell_price": 123,
"fees_paid": 0,
"fees_refunded": 0
},
"thirty_day": {
"realized_pnl": 123,
"volume": 123,
"roi": 123,
"trades": 123,
"wins": 123,
"losses": 123,
"win_rate": 123,
"profit_factor": 123,
"positions_closed": 123,
"total_pnl": 123,
"avg_buy_price": 123,
"avg_sell_price": 123,
"fees_paid": 0,
"fees_refunded": 0
},
"all_time": {
"realized_pnl": 123,
"volume": 123,
"roi": 123,
"trades": 123,
"wins": 123,
"losses": 123,
"win_rate": 123,
"profit_factor": 123,
"positions_closed": 123,
"avg_hold_time_seconds": 123,
"wallet_age_days": 123,
"total_positions": 123,
"active_positions": 123,
"max_win_streak": 123,
"max_loss_streak": 123,
"best_position_realized_pnl": 123,
"worst_position_realized_pnl": 123,
"total_pnl": 123,
"avg_buy_price": 123,
"avg_sell_price": 123,
"fees_paid": 0,
"fees_refunded": 0
}
},
"trading_styles": {
"is_whale": true,
"is_market_maker": true,
"is_active_trader": true,
"is_buy_and_hold": true,
"is_degen": true,
"is_high_conviction": true,
"is_contrarian": true,
"is_value_hunter": true,
"primary_style": "<string>"
},
"entry_edge": 123,
"unrealized_pnl": 123,
"total_pnl": 123,
"first_trade_at": 123,
"last_trade_at": 123,
"computed_at": 123
}
]{
"error": "<string>",
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>"
}Wallet Identity
Wallet Profiles (Batch)
Get wallet profiles for multiple addresses in a single request
GET
/
v2
/
polymarket
/
wallets
/
profiles
Get Wallet Profiles Batch
Returns the same data as the single wallet profile endpoint, but for up to 20 wallets at once. Wallets not found are omitted from the response.
Requires Dev or Pro tier. This endpoint is not available on the Free tier.
Authorizations
Query Parameters
Comma-separated wallet addresses (max 20)
Response
Successful Response
Wallet address
Metrics across all windows
Show child attributes
Show child attributes
Trading style classifications
Show child attributes
Show child attributes
Price edge (avg_sell - avg_buy)
Total unrealized PnL in USD
Total PnL (realized + unrealized - net fees)
Unix timestamp of first trade
Unix timestamp of last trade
Unix timestamp when metrics were computed
⌘I
